Start a reconnect session for an existing connection

Authorizes an existing connection again. The connection keeps its id.

For a Pipedream connection, creates a Pipedream Connect session scoped to the
existing connection's external user and returns the data needed for the
frontend to call connectAccount with an accountId. The frontend then calls
the reconnect confirm endpoint.

For a native OAuth connection, returns the provider's authorization URL. The
OAuth callback completes the reconnect: it stores the new tokens on the same
connection, clears its disconnect_reason and redirects to the same success
page as a new connection.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
string
enum
required

The type of the integration that Go supports.

uuid
required
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json